Bug 7171 - Rosa icons should inherit Oxygen icons
: Rosa icons should inherit Oxygen icons
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-01 18:27 MSD by Andrey Bondrov
Modified: 2016-07-06 20:47 MSD (History)
1 user (show)

See Also:
RPM Package: rosa-icons
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (123.74 KB, image/png)
2016-07-02 18:01 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-07-01 18:27:56 MSD
Rosa icons should inherit Oxygen icons. They do it for Qt 4 anyway, but not for Qt 5.6+. So many Qt5-based applications have many missing icons since Qt 5.6 (or likely 5.6.1) update.

See http://forum.rosalab.ru/viewtopic.php?f=53&t=6027&start=800#p72334
Comment 1 Andrey Bondrov 2016-07-01 18:35:26 MSD
Advisory: "Make sure Rosa icons inherit Oxygen icons to avoid missing icons in Qt5 applications."

https://abf.rosalinux.ru/build_lists/2684584
https://abf.rosalinux.ru/build_lists/2684585

P.S. This update is very important for testing Plasma 5 R8 ISOs.
Comment 2 Andrey Bondrov 2016-07-02 08:43:57 MSD
We also need to update Oxygen icon theme to latest version to fix some missing icons.

Advisory: "Update Oxygen icons to new version 5.23.0"

https://abf.rosalinux.ru/build_lists/2684613
https://abf.rosalinux.ru/build_lists/2684614
Comment 3 Vladimir Potapov 2016-07-02 18:01:57 MSD
Created attachment 4493 [details]
ss

см. "Документы"
Comment 4 Andrey Bondrov 2016-07-02 19:48:20 MSD
Ага, понял, поправим иконку "Документы" в контексте Baloo для темы Rosa. Зато для "Сегодня" теперь правильная иконка :-)
Comment 5 Andrey Bondrov 2016-07-02 20:35:55 MSD
Advisory: "Make sure Rosa icons inherit Oxygen icons to avoid missing icons in Qt5 applications. Add missing folder-text icon."

https://abf.rosalinux.ru/build_lists/2684649
https://abf.rosalinux.ru/build_lists/2684650
Comment 6 Vladimir Potapov 2016-07-03 18:19:04 MSD
В текущей теме KDE4 тоже не хватает иконки документов в поиске - используется стандартная. Думается, сейчас есть шанс испраить и там.
Comment 7 Andrey Bondrov 2016-07-03 18:33:53 MSD
(In reply to comment #6)
> В текущей теме KDE4 тоже не хватает иконки документов в поиске -
> используется стандартная. Думается, сейчас есть шанс испраить и там.

Я думаю, это кэш иконок виноват. Надо его сбросить, тогда должен обновиться. Переключитья на другую тему иконок и обратно.
Comment 8 Vladimir Potapov 2016-07-03 19:07:51 MSD
(In reply to comment #7)
> (In reply to comment #6)
> > В текущей теме KDE4 тоже не хватает иконки документов в поиске -
> > используется стандартная. Думается, сейчас есть шанс испраить и там.
> 
> Я думаю, это кэш иконок виноват. Надо его сбросить, тогда должен обновиться.
> Переключитья на другую тему иконок и обратно.

Я, конечно же, сбрасывал кэш (удалял папку в /var/tmp). Попробовал переключением - все равно не работает. Пробовал даже нового пользователя заводить.
В плазме 5 все нормально, в четвертокедах - нет.
Comment 9 Andrey Bondrov 2016-07-03 19:43:13 MSD
Действительно, там оказалась нужна иконка folder-txt, а не folder-text. Видимо, в какой-то момент решили, что text будет правильнее, чем txt, но KDE4 это ещё не затронуло. Добавил оба варианта.

Advisory: "Make sure Rosa icons inherit Oxygen icons to avoid missing icons in Qt5 applications. Add missing folder-text and folder-txt icons."

https://abf.rosalinux.ru/build_lists/2684753
https://abf.rosalinux.ru/build_lists/2684754
Comment 10 Vladimir Potapov 2016-07-04 06:48:28 MSD
The update is sent to expanded testing
**************************************
Comment 11 Vladimir Potapov 2016-07-04 19:45:12 MSD
oxygen-icon-theme-5.23.0-1
https://abf.rosalinux.ru/build_lists/2684613
https://abf.rosalinux.ru/build_lists/2684614

rosa-icons-1.1.10-1
https://abf.rosalinux.ru/build_lists/2684753
https://abf.rosalinux.ru/build_lists/2684754
******************************* Advisory ************************
Update Oxygen icons to new version 5.23.0
Make sure Rosa icons inherit Oxygen icons to avoid missing icons in Qt5 applications. Add missing folder-text and folder-txt icons.
*****************************************************************
QA Verified
Comment 12 Andrey Bondrov 2016-07-06 19:13:18 MSD
Advisory: "Fix Gtk-WARNING (Theme directory base/ of theme oxygen has no size field)"

https://abf.rosalinux.ru/build_lists/2685094
https://abf.rosalinux.ru/build_lists/2685095
Comment 13 Vladimir Potapov 2016-07-06 19:46:01 MSD
oxygen-icon-theme-5.23.0-2
https://abf.rosalinux.ru/build_lists/2685094
https://abf.rosalinux.ru/build_lists/2685095
****************************** Advisory ****************************
Fix Gtk-WARNING (Theme directory base/ of theme oxygen has no size field)
********************************************************************
QA Verified